import urllib
import traceback
import logging
log = logging.getLogger('web-connection')
log.setLevel(logging.DEBUG)
# create file handler which logs even debug messages
fh = logging.FileHandler('debug_socket_logging.log')
fh.setLevel(logging.DEBUG)
# create console handler with a higher log level
ch = logging.StreamHandler()
ch.setLevel(logging.DEBUG)
# create formatter and add it to the handlers
formatter = logging.Formatter('%(asctime)s - %(name)s - %(levelname)s - %(message)s')
fh.setFormatter(formatter)
ch.setFormatter(formatter)
# add the handlers to the logger
log.addHandler(fh)
log.addHandler(ch)

try:
    opener = urllib.FancyURLopener({})
    f = opener.open("http://www.python.org/")
    # print f.read()
except:
    print traceback.format_exc()


